#pragma once
#include "uefi.h"

#define HTML_BUF_SIZE 65536

int  http_get(const char *host, const char *path, char *body, uint32_t max_body);
int  https_get(const char *host, const char *path, char *body, uint32_t max_body);
int  http_post(const char *host, const char *path, const char *content_type,
               const char *data, uint32_t data_len,
               char *body, uint32_t max_body);
int  https_post(const char *host, const char *path, const char *content_type,
                const char *data, uint32_t data_len,
                char *body, uint32_t max_body);

/* Global HTML buffer for less viewer */
extern char  html_buf[HTML_BUF_SIZE];
extern uint32_t html_len;
